%define upstream_name    Parse-EDID
%define upstream_version 1.0.7

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Extended display identification data (EDID) parser
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Test::Warn)
BuildArch: noarch

%description
This module provides some function to parse Extended Display Identification
Data binary data structures.

Extended Display Identification Data (EDID) is a metadata format for
display devices to describe their capabilities to a video source. The
data format is defined by a standard published by the Video Electronics
Standards Association (VESA).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README META.yml META.json Changes
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.0.7-6.mga10
+ Revision: 2204257
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.0.7-5.mga9
+ Revision: 1809984
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.7-4.mga8
+ Revision: 1505869
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.7-3.mga7
+ Revision: 1285489
- Mageia 7 Mass Rebuild

* Thu Aug 09 2018 tv <tv> 1.0.7-2.mga7
+ Revision: 1250585
- rebuild for perl-5.28

* Fri Jul 06 2018 guillomovitch <guillomovitch> 1.0.7-1.mga7
+ Revision: 1242330
- new version 1.0.7

* Sun Jun 19 2016 pterjan <pterjan> 1.0.6-5.mga6
+ Revision: 1031681
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 1.0.6-4.mga6
+ Revision: 930016
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.6-3.mga5
+ Revision: 746170
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.6-2.mga5
+ Revision: 685890
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 guillomovitch <guillomovitch> 1.0.6-1.mga5
+ Revision: 580834
- new version 1.0.6

* Fri Oct 18 2013 umeabot <umeabot> 1.0.4-3.mga4
+ Revision: 513971
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.4-2.mga3
+ Revision: 371526
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 12 2012 guillomovitch <guillomovitch> 1.0.4-1.mga3
+ Revision: 280819
- new version

* Tue Jun 26 2012 guillomovitch <guillomovitch> 1.0.1-1.mga3
+ Revision: 263848
- new version

* Wed May 30 2012 guillomovitch <guillomovitch> 1.0.0-1.mga3
+ Revision: 251184
- imported package perl-Parse-EDID

